Subject: Re: [PATCH 10/26] IPVS: Add IPv6 handler functions to UDP protocol handler.

From: Patrick McHardy <[email-masked]>
Date: Wed, 11 Jun 2008 19:18:58 +0200

Julius R. Volz wrote:
> Define new IPv6-specific handler functions in UDP protocol handler. Set new
> function pointers in ip_vs_protocol struct to point to these functions.

The last four or five patches could save a lot of duplication
by taking advantage of the fact that only address length and
protocol offset differ. Why don't you move the af-specific logic
to the layer above these handlers and pass the offset to them?